Debian Bug report logs - #505247
dosemu low memory sysctl

version graph

Package: dosemu; Maintainer for dosemu is Kees Cook <kees@debian.org>; Source for dosemu is src:dosemu.

Reported by: Kees Cook <kees@outflux.net>

Date: Tue, 11 Nov 2008 01:03:05 UTC

Severity: normal

Tags: confirmed, fixed-upstream, patch

Merged with 538432, 546797

Found in versions dosemu/1.4.0+svn.1828-2, dosemu/1.4.0+svn.1828-3

Fixed in version dosemu/1.4.0+svn.1997-1

Done: Kees Cook <kees@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bart Martens <bartm@debian.org>:
Bug#505247; Package dosemu. (Tue, 11 Nov 2008 01:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kees Cook <kees@outflux.net>:
New Bug report received and forwarded. Copy sent to Bart Martens <bartm@debian.org>. (Tue, 11 Nov 2008 01:03:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kees Cook <kees@outflux.net>
To: Debian Bugs <submit@bugs.debian.org>
Subject: dosemu low memory sysctl
Date: Mon, 10 Nov 2008 17:01:47 -0800
[Message part 1 (text/plain, inline)]
Package: dosemu
Version: 1.4.0+svn.1828-2
Severity: normal
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu jaunty ubuntu-patch

Hello!

When a system is running with vm.mmap_min_addr set above 0, running
dosemu will fail.

This patch adds a sysctl file for dosemu's low-memory needs.

Thanks,

-Kees

-- 
Kees Cook                                            @outflux.net
[dosemu-lowmem.patch (text/x-diff, attachment)]

Tags removed: patch Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Fri, 20 Mar 2009 14:51:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bart Martens <bartm@debian.org>:
Bug#505247; Package dosemu. (Wed, 02 Sep 2009 23:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivan Baldo <ibaldo@adinet.com.uy>:
Extra info received and forwarded to list. Copy sent to Bart Martens <bartm@debian.org>. (Wed, 02 Sep 2009 23:15:02 GMT) Full text and rfc822 format available.

Message #12 received at 505247@bugs.debian.org (full text, mbox):

From: Ivan Baldo <ibaldo@adinet.com.uy>
To: 538432@bugs.debian.org, 505247@bugs.debian.org
Subject: Bugs #538432 and #505247 should be merged.
Date: Wed, 02 Sep 2009 20:10:27 -0300
   They relate to the same thing.
   The solution proposed in #505247 is nice, but I think it should be 
implemented with Debconf and defaulted to not set vm.mmap_min_addr to 0 
for security reasons.
   Then the bugfix in #538432 should mention to run dpkg-reconfigure 
dosemu and enable that option or run dosemu as root.
   Those are my opinions...
   Thanks!

-- 
Ivan Baldo - ibaldo@adinet.com.uy - http://ibaldo.codigolibre.net/
From Montevideo, Uruguay, at the south of South America.
Freelance programmer and GNU/Linux system administrator, hire me!
Alternatives: ibaldo@codigolibre.net - http://go.to/ibaldo





Information forwarded to debian-bugs-dist@lists.debian.org, Bart Martens <bartm@debian.org>:
Bug#505247; Package dosemu. (Sat, 24 Oct 2009 18:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Karcher <reinhard.karcher@gmx.net>:
Extra info received and forwarded to list. Copy sent to Bart Martens <bartm@debian.org>. (Sat, 24 Oct 2009 18:27:03 GMT) Full text and rfc822 format available.

Message #17 received at 505247@bugs.debian.org (full text, mbox):

From: Reinhard Karcher <reinhard.karcher@gmx.net>
To: 505247@bugs.debian.org
Subject: dosemu low memory sysctl
Date: Sat, 24 Oct 2009 20:17:44 +0200
Hi

dosemu has been patched to to address the vm.mmap_min_addr = 0 issue 
(implemented before the actual svn revision 1988). I know of no 
application, that does not run. For this patch to work, the vm86 mode of 
the processor has to be simulated, which is an performance issue. To use 
simulated mode for vm86, you have to set $_cpu_emu = vm86 in 
dosemu.conf. You get a warning for using an experimental feature.

Reinhard




Forcibly Merged 505247 538432 546797. Request was from Adrian Bunk <bunk@stusta.de> to control@bugs.debian.org. (Sun, 15 Nov 2009 06:27:04 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Adrian Bunk <bunk@stusta.de> to control@bugs.debian.org. (Sun, 15 Nov 2009 06:27:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bart Martens <bartm@debian.org>:
Bug#505247; Package dosemu. (Sun, 15 Nov 2009 06:36:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
Extra info received and forwarded to list. Copy sent to Bart Martens <bartm@debian.org>. (Sun, 15 Nov 2009 06:36:14 GMT) Full text and rfc822 format available.

Message #26 received at 505247@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: 505247@bugs.debian.org, 538432@bugs.debian.org
Cc: 505247-submitter@bugs.debian.org, 538432-submitter@bugs.debian.org, control@bugs.debian.org
Subject: fixed in upstream dosemu
Date: Sun, 15 Nov 2009 08:29:50 +0200
forcemerge 505247 538432
tags 505247 +fixed-upstream
thanks

I just ran into this issue, and discovered it's already handled much 
better than what was suggested in these bugs in upstream dosemu:

<--  snip  -->

$ xdosemu 
EXPERIMENTAL: using non-zero memory base address 0x110000.
You can use the better-tested zero based setup using
sysctl -w vm.mmap_min_addr=0
as root, or by changing the vm.mmap_min_addr setting in
/etc/sysctl.conf or a file in /etc/sysctl.d/ to 0.

<--  snip  -->

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed





Message sent on to Kees Cook <kees@outflux.net>:
Bug#505247. (Sun, 15 Nov 2009 06:36:17 GMT) Full text and rfc822 format available.

Reply sent to Kees Cook <kees@debian.org>:
You have taken responsibility. (Tue, 15 Dec 2009 06:33:04 GMT) Full text and rfc822 format available.

Notification sent to Kees Cook <kees@outflux.net>:
Bug acknowledged by developer. (Tue, 15 Dec 2009 06:33:04 GMT) Full text and rfc822 format available.

Message #34 received at 505247-close@bugs.debian.org (full text, mbox):

From: Kees Cook <kees@debian.org>
To: 505247-close@bugs.debian.org
Subject: Bug#505247: fixed in dosemu 1.4.0+svn.1997-1
Date: Tue, 15 Dec 2009 06:32:15 +0000
Source: dosemu
Source-Version: 1.4.0+svn.1997-1

We believe that the bug you reported is fixed in the latest version of
dosemu, which is due to be installed in the Debian FTP archive:

dosemu_1.4.0+svn.1997-1.diff.gz
  to contrib/d/dosemu/dosemu_1.4.0+svn.1997-1.diff.gz
dosemu_1.4.0+svn.1997-1.dsc
  to contrib/d/dosemu/dosemu_1.4.0+svn.1997-1.dsc
dosemu_1.4.0+svn.1997-1_amd64.deb
  to contrib/d/dosemu/dosemu_1.4.0+svn.1997-1_amd64.deb
dosemu_1.4.0+svn.1997.orig.tar.gz
  to contrib/d/dosemu/dosemu_1.4.0+svn.1997.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 505247@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kees Cook <kees@debian.org> (supplier of updated dosemu package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 14 Dec 2009 19:54:21 -0800
Source: dosemu
Binary: dosemu
Architecture: source amd64
Version: 1.4.0+svn.1997-1
Distribution: unstable
Urgency: low
Maintainer: Kees Cook <kees@debian.org>
Changed-By: Kees Cook <kees@debian.org>
Description: 
 dosemu     - The Linux DOS Emulator
Closes: 505247
Changes: 
 dosemu (1.4.0+svn.1997-1) unstable; urgency=low
 .
   * New upstream version, exported from svn r1997 (Closes: 505247):
     - 04_socalled.diff: dropped, taken upstream (r1907).
     - 05_typos351016.diff: dropped, taken upstream (r1908).
     - 06_case16.diff: dropped, fixed upstream (r1869).
     - 07_next.diff: dropped, taken upstream (r1871).
     - debian/midid.1: dropped, taken upstream (r1872).
   * debian/README.source: added CDBS patching boiler-plate documentation.
   * debian/control:
     - update standards version.
     - make myself maintainer, many thanks to Bart Martens for all the
       great dosemu work!
   * debian/rules: add get-orig-source target for easy svn export, and
     drop debian/README.Debian-source.
Checksums-Sha1: 
 687a80a9439506e6eb122a37f5bce49878dfed1b 1312 dosemu_1.4.0+svn.1997-1.dsc
 b54dfe4e37de2cdfac719a17aafe48ce4a259a73 6800146 dosemu_1.4.0+svn.1997.orig.tar.gz
 e078f2e64b853b1a5caa6f7eb6c8ddd8b6411680 28096 dosemu_1.4.0+svn.1997-1.diff.gz
 593bbb99c333debc691f401952ad80331e751ec1 2537752 dosemu_1.4.0+svn.1997-1_amd64.deb
Checksums-Sha256: 
 81f998783731182afa582b59fda8d28c1127693f7dca716532c15413f8f67f2d 1312 dosemu_1.4.0+svn.1997-1.dsc
 735529ea225bb199e0b52a80de1b6435695df32aa0c9dffc5b86978c6b5c829d 6800146 dosemu_1.4.0+svn.1997.orig.tar.gz
 342b61f1dc1e446544c9223031e01e36cdbf1b0fb88608f42dd70aa97008b013 28096 dosemu_1.4.0+svn.1997-1.diff.gz
 c2fee663a33eebf8455a4d8b5784f657fde56f6ec0e4210a0c305dcc1604414c 2537752 dosemu_1.4.0+svn.1997-1_amd64.deb
Files: 
 1a1267e9e7347b2b97095ad30f627b99 1312 contrib/otherosfs optional dosemu_1.4.0+svn.1997-1.dsc
 14bb68aa0fac71319292c9dd6ad3c560 6800146 contrib/otherosfs optional dosemu_1.4.0+svn.1997.orig.tar.gz
 fe295f58e7792dd8012fbcbcaa54c713 28096 contrib/otherosfs optional dosemu_1.4.0+svn.1997-1.diff.gz
 7da5401e54a0ccd5c4ce90a4301d7cba 2537752 contrib/otherosfs optional dosemu_1.4.0+svn.1997-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Kees Cook <kees@outflux.net>

iEYEARECAAYFAksnKZAACgkQH/9LqRcGPm2eWACdEVkoxYqiLbYq2UWowY8pOX5Y
PUcAnAz/epuwNz7LxYzvilUjlLv0KMWO
=qSCc
-----END PGP SIGNATURE-----





Reply sent to Kees Cook <kees@debian.org>:
You have taken responsibility. (Tue, 15 Dec 2009 06:33:05 GMT) Full text and rfc822 format available.

Notification sent to Arthur Marsh <arthur.marsh@internode.on.net>:
Bug acknowledged by developer. (Tue, 15 Dec 2009 06:33:05 GMT) Full text and rfc822 format available.

Reply sent to Kees Cook <kees@debian.org>:
You have taken responsibility. (Tue, 15 Dec 2009 06:33:06 GMT) Full text and rfc822 format available.

Notification sent to Anders Lagerås <anders.lageras@gmail.com>:
Bug acknowledged by developer. (Tue, 15 Dec 2009 06:33:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 22 Jan 2010 07:33:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:47:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.